# giteapc: version=1 depends=Lephenixnoir/sh-elf-gcc

-include giteapc-config.make

PREFIX ?= $(shell sh-elf-gcc --print-search-dirs | grep install | sed 's/install: //')

configure:
	@ true

build:
	@ make USEGCC=1 TOOLPREFIX=sh-elf- CC=sh-elf-gcc AR=sh-elf-ar libdir="$(PREFIX)" includedir="$(PREFIX)/include"

install:
	@ make USEGCC=1 TOOLPREFIX=sh-elf- CC=sh-elf-gcc AR=sh-elf-ar libdir="$(PREFIX)" includedir="$(PREFIX)/include" install-static install-headers

uninstall:
	@ echo "uninstall not supported for OpenLibm, skipping"

.PHONY: configure build install uninstall
